package ai.pai.lensman.briefs;

import ai.pai.lensman.base.BasePresenter;
import ai.pai.lensman.base.BaseView;
import ai.pai.lensman.bean.BriefsBean;

/**
 * Created by chengzhenyu on 2016/8/22.
 */
public class BriefsContract {

    public interface View extends BaseView{
        void updateUserInfo(BriefsBean bean);
        void updateMessageBar(String sysMsg,String orderMsg);
        void updateBoxInfo(String boxNo,String boxStatus);
        void updatePriceInfo(String priceInfo);
    }

    public interface Presenter extends BasePresenter{
        void clickCurrentOrderMsg();
        void clickCurrentSysMsg();
        void clickSettingPrice();
    }


}
