package ai.pai.lensman.bean;


public class OrderBean {
    public String orderId;
    public String photoId;
    public String sessionId;
    public String buyerId;
    public String buyerName;
    public long originExpireTime;
    public PhotoBean photoBean;

    @Override
    public boolean equals(Object obj) {
        if(obj == this){
            return true;
        }
        if(!(obj instanceof OrderBean)){
            return false;
        }
        return (((OrderBean) obj).photoId==this.photoId);
    }

    @Override
    public String toString() {
        return "OrderBean{" +
                "orderId='" + orderId + '\'' +
                ", photoId='" + photoId + '\'' +
                ", sessionId='" + sessionId + '\'' +
                ", buyerId='" + buyerId + '\'' +
                ", buyerName='" + buyerName + '\'' +
                ", originExpireTime=" + originExpireTime +
                '}';
    }
}
