package ai.pai.lensman.utils;

public class BoxUrlContainer {

    public static String BOX_IP = "192.168.8.101";

    private static String BASE_URL = "http://" + BOX_IP + ":8002/";

    public static String SESSION_START_URL = BASE_URL + "session_start";

    public static String SESSION_END_URL = BASE_URL + "session_end";

    public static String DELETE_PHOTO_URL = BASE_URL + "delete_photo";

    public static String FETCH_THUMBNAIL_URL = BASE_URL + "fetch_thumbnail";

    public static String PHOTO_PATH_PREFIX_URL = BASE_URL + "static/";

    /**
     * lensman  # 摄影师唯一标识
     * session  # Session
     * name  # fetch_thumbnail 返回
     */
    public static String FETCH_ORIGIN_URL = BASE_URL +"fetch_origin";

    public static String BOX_INFO_URL = BASE_URL+"box_info";

    public static String SET_TIME_URL = BASE_URL+"set_time";

    public static String BOX_TIME_URL = BASE_URL+"box_time";

    public static void resetIPHost(String ip) {
        BOX_IP = ip;

        BASE_URL = "http://" + BOX_IP + ":8002/";

        SESSION_START_URL = BASE_URL + "session_start";

        SESSION_END_URL = BASE_URL + "session_end";

        DELETE_PHOTO_URL = BASE_URL + "delete_photo";

        FETCH_THUMBNAIL_URL = BASE_URL + "fetch_thumbnail";

        PHOTO_PATH_PREFIX_URL = BASE_URL + "static/";

        FETCH_ORIGIN_URL = BASE_URL +"fetch_origin";

        BOX_INFO_URL = BASE_URL+"box_info";

       SET_TIME_URL = BASE_URL+"set_time";

       BOX_TIME_URL = BASE_URL+"box_time";
    }


}
